package sattose;

import java.util.ArrayList;
import java.util.List;

import net.didion.jwnl.JWNLException;

public class SaTToSETutorialMain {

    // args[0]: xml file produced by SrcML
    // For test examples:
    // /Users/venera/Documents/Research/eclipseWorkspace/SaTToSE-tutorial/src/sattose/tests/inputs-srcml.xml
    public static void main(final String[] args) {
	try {
	    NLPUtil.getInstance();
	    List<String> files = new ArrayList<String>();
	    final SrcMLParser parser = new SrcMLParser();

	    files = parser.ititializeParser(args[0]);

	    for (final String fileName : files) {
		parser.processUnit(fileName);
	    }

	} catch (final JWNLException e) {
	    e.printStackTrace();
	}

    }

}
