/* (c) Copyright 2013 and following years, Venera Arnaoudova,
 * Polytechnique Montreal.
 * 
 * Use and copying of this software and preparation of derivative works
 * based upon this software are permitted. Any copy of this software or
 * of any derivative work must include the above copyright notice of
 * the author, this paragraph and the one after it.
 * 
 * This software is made available AS IS, and THE AUTHOR DISCLAIMS
 * ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE, AND NOT WITHSTANDING ANY OTHER PROVISION CONTAINED HEREIN,
 * ANY LIABILITY FOR DAMAGES RESULTING FROM THE SOFTWARE OR ITS USE IS
 * EXPRESSLY DISCLAIMED, WHETHER ARISING IN CONTRACT, TORT (INCLUDING
 * NEGLIGENCE) OR STRICT LIABILITY, EVEN IF THE AUTHOR IS ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGES.
 * 
 * All Rights Reserved.
 * 
 * @author <a href="mailto:Venera.Arnaoudova@gmail.com">Venera Arnaoudova</a>
 */
package sattose;

public class ProjectConfiguration {

    public static String projectFolder = "Users/venera/Documents/Research/eclipseWorkspace/SaTToSE-tutorial/";

    // installation folder of JWNL:
    public static String JWNL_PATH = "/Users/venera/Documents/Research/Tools/Wordnet-JWNL/";

    // Stopwords files:
    public static String STOPWORDS_JAVA_KEYWORDS = "./rsc/stopWords/programming/java-keywords.txt";
    public static String STOPWORDS_JAVA_OTHERS = "./rsc/stopWords/programming/java-specific.txt";
    public static String STOPWORDS_ENGLISH = "./rsc/stopWords/english/jmlr-mit.txt";
}
