package sattose;

import java.util.Vector;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class Splitter {

    public static Vector<String> splitIdentifier(final String identifier) {
	String[] tempSplitedOnSpecialCharsAndDigits = null;
	String[] tempSplitedOnLowercaseToUppercase = null;
	String[] tempSplitedOnOnUppercaseToLowercase = null;
	final Vector<String> splitedTerms = new Vector<String>();
	tempSplitedOnSpecialCharsAndDigits = Splitter
		.splitOnSpecialCharsAndDigits(identifier);
	for (final String currentTermNoSpecChars : tempSplitedOnSpecialCharsAndDigits) {
	    tempSplitedOnLowercaseToUppercase = Splitter
		    .splitOnLowercaseToUppercase(currentTermNoSpecChars);
	    for (final String currentSplittedOnLowerToUpper : tempSplitedOnLowercaseToUppercase) {
		tempSplitedOnOnUppercaseToLowercase = Splitter
			.splitOnUppercaseToLowercase(currentSplittedOnLowerToUpper);
		for (final String currentSplittedOnUpperToLower : tempSplitedOnOnUppercaseToLowercase) {
		    if (currentSplittedOnUpperToLower.length() > 0) {
			splitedTerms.add(currentSplittedOnUpperToLower
				.toLowerCase());
		    }
		}
	    }
	}
	splitedTerms.trimToSize();
	return splitedTerms;
    }

    public static String[] splitOnSpecialCharsAndDigits(final String token) {
	final Pattern patternSpecialCharsAndDigits = Pattern
		.compile(" |\\n|\\r|\\t|\\.|,|\\(|\\)|\\{|\\}|\\[|\\]|;|=|<|>|'|\""
			+ "|\\+|\\-|\\*|/|\\||!|\\\\|\\@|#|\\$|%|\\?|&|\\^|_|:|\\||~|`|[0-9]+");
	return patternSpecialCharsAndDigits.split(token);
    }

    private static String[] splitOnLowercaseToUppercase(final String token) {
	String[] result = null;
	final Pattern patternLowercaseToUppercase = Pattern.compile("[A-Z]+");
	final Matcher action = patternLowercaseToUppercase.matcher(token);
	result = action.replaceAll(" " + "$0").split(" ");
	return result;
    }

    private static String[] splitOnUppercaseToLowercase(final String token) {
	String[] result = null;
	final Pattern patternUppercaseToLowercas = Pattern
		.compile("[A-Z][a-z]+");
	final Matcher action = patternUppercaseToLowercas.matcher(token);
	result = action.replaceAll(" " + "$0").split(" ");
	return result;
    }

}
