#!/bin/bash

# $1: dir with the files
# Example how to run:
# Example:
# sh /Users/venera/Documents/Research/2016-SATToSE/TR_NLP-tutorial/code/run-srcml.sh /Users/venera/Documents/Research/eclipseWorkspace/SaTToSE-tutorial/src/sattose/tests/inputs  &> /Users/venera/Documents/Research/eclipseWorkspace/SaTToSE-tutorial/src/sattose/tests/inputs-log.txt
# ArgoUML:
# sh /Users/venera/Documents/Research/2016-SATToSE/TR_NLP-tutorial/code/run-srcml.sh /Users/venera/Documents/Research/2016-SATToSE/TR_NLP-tutorial/case-study/ArgoUML-0.34-src.zip  &> /Users/venera/Documents/Research/2016-SATToSE/TR_NLP-tutorial/case-study/ArgoUML-0.34-src-log.txt
outputDir="$1-srcml"


cd "/Users/venera/Documents/Research/Tools/srcml/srcML-v0.9.5/lib/"

# Parse all files from the archive:
../bin/srcml --position --verbose "$1" -o "$outputDir.xml"

# get the list of parsed files:
srcml --xpath "string(//src:unit/@filename)" "$outputDir.xml" > "$outputDir.xml-lof.txt"

## Extract the parsed files into a directory
#mkdir $outputDir
#srcml --to-dir $outputDir "$outputDir.xml"

exit;

